Crashpad

Public Member Functions | Public Attributes | List of all members
crashpad::TSimpleStringDictionary< KeySize, ValueSize, NumEntries >::Entry Struct Reference

A single entry in the map. More...

`#include "client/simple_string_dictionary.h"`

## Public Member Functions
bool | is_active () const
| Returns the validity of the entry. More...

## Public Attributes
char | key [KeySize]
| The entry’s key. More...
char | value [ValueSize]
| The entry’s value.

## Detailed Description

### template<size_t KeySize = 256, size_t ValueSize = 256, size_t NumEntries = 64>
struct crashpad::TSimpleStringDictionary< KeySize, ValueSize, NumEntries >::Entry

A single entry in the map.

## Member Function Documentation

## ◆ is_active()

template<size_t KeySize = 256, size_t ValueSize = 256, size_t NumEntries = 64>

bool crashpad::TSimpleStringDictionary< KeySize, ValueSize, NumEntries >::Entry::is_active | ( |  | ) | const
| inline

Returns the validity of the entry.

If key is an empty string, the entry is considered inactive, and this method returns `false`. Otherwise, returns `true`.

## Member Data Documentation

## ◆ key

template<size_t KeySize = 256, size_t ValueSize = 256, size_t NumEntries = 64>

char crashpad::TSimpleStringDictionary< KeySize, ValueSize, NumEntries >::Entry::key[KeySize]

The entry’s key.

If this is a 0-length `NUL`-terminated string, the entry is inactive.

The documentation for this struct was generated from the following file:

- client/simple_string_dictionary.h